
Ceph - Bug #20619

MgrClient.cc: 43: FAILED assert(msgr != nullptr)

07/13/2017 04:17 PM - Sebastian Wagner

Status: Closed % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category: librados   

Target version:    

Source:  Affected Versions: v12.1.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

I got this after creating a replicated Pool with very few PGs.

Environment:

Git revision: 7e12840db34f8a0fb

vstart.sh -X -l

/ceph/src/mgr/MgrClient.cc: In function 'void MgrClient::init()' thread 7f34b5310700 time 2017-07-

13 17:51:39.314068

/ceph/src/mgr/MgrClient.cc: 43: FAILED assert(msgr != nullptr)

 ceph version 12.1.0-761-g3ad4123 (3ad4123c83b42bfd49dc3594c96a0c7539bd6511) luminous (rc)

 1: (ceph::__ceph_assert_fail(char const*, char const*, int, char const*)+0x102) [0x7f34a9f847d2]

 2: (MgrClient::init()+0x5d) [0x7f34a9fe4bed]

 3: (librados::RadosClient::connect()+0x90e) [0x7f34b29cde0e]

 4: (rados_connect()+0x1f) [0x7f34b298199f]

 5: (()+0x5f6dc) [0x7f34b2ce16dc]

 6: (PyEval_EvalFrameEx()+0x68a) [0x4c468a]

 7: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 8: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 9: ../env/bin/python() [0x4de6fe]

 10: (PyObject_Call()+0x43) [0x4b0cb3]

 11: ../env/bin/python() [0x4f492e]

 12: (PyObject_Call()+0x43) [0x4b0cb3]

 13: ../env/bin/python() [0x4f46a7]

 14: ../env/bin/python() [0x4b670c]

 15: (PyObject_Call()+0x43) [0x4b0cb3]

 16: (PyEval_EvalFrameEx()+0x5faf) [0x4c9faf]

 17: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 18: ../env/bin/python() [0x4de6fe]

 19: (PyObject_Call()+0x43) [0x4b0cb3]

 20: ../env/bin/python() [0x4f492e]

 21: (PyObject_Call()+0x43) [0x4b0cb3]

 22: ../env/bin/python() [0x569a48]

 23: (PyEval_EvalFrameEx()+0x6345) [0x4ca345]

 24: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 25: (PyEval_EvalFrameEx()+0x6099) [0x4ca099]

 26: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 27: (PyEval_EvalFrameEx()+0x6099) [0x4ca099]

 28: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 29: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 30: (PyEval_EvalFrameEx()+0x68d1) [0x4ca8d1]

 31: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]
 32: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 33: (PyEval_EvalFrameEx()+0x68d1) [0x4ca8d1]

 34: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 35: ../env/bin/python() [0x4de6fe]

 36: (PyObject_Call()+0x43) [0x4b0cb3]

 37: (PyObject_CallFunctionObjArgs()+0x16a) [0x4b97fa]

 38: (_PyObject_GenericGetAttrWithDict()+0x17c) [0x4b00dc]

 39: (PyEval_EvalFrameEx()+0x4c1) [0x4c44c1]

 40: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 41: ../env/bin/python() [0x4de6fe]

 42: (PyObject_Call()+0x43) [0x4b0cb3]

 43: ../env/bin/python() [0x4f492e]

 44: (PyObject_Call()+0x43) [0x4b0cb3]

 45: ../env/bin/python() [0x569a48]

 46: ../env/bin/python() [0x589fb1]

 47: ../env/bin/python() [0x50157c]

 48: (PyEval_EvalFrameEx()+0x615e) [0x4ca15e]

 49: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 50: ../env/bin/python() [0x4de8b8]

 51: (PyObject_Call()+0x43) [0x4b0cb3]

 52: (PyEval_EvalFrameEx()+0x2ad1) [0x4c6ad1]

 53: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 54: (PyEval_EvalFrameEx()+0x68d1) [0x4ca8d1]

 55: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 56: ../env/bin/python() [0x4de8b8]

 57: (PyObject_Call()+0x43) [0x4b0cb3]

 58: (PyEval_EvalFrameEx()+0x2ad1) [0x4c6ad1]

 59: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 60: ../env/bin/python() [0x4de8b8]

 61: (PyObject_Call()+0x43) [0x4b0cb3]

 62: (PyEval_EvalFrameEx()+0x2ad1) [0x4c6ad1]

 63: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 64: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 65: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 66: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 67: ../env/bin/python() [0x4de6fe]

 68: (PyObject_Call()+0x43) [0x4b0cb3]

 69: ../env/bin/python() [0x4f492e]

 70: (PyObject_Call()+0x43) [0x4b0cb3]

 71: (PyEval_CallObjectWithKeywords()+0x30) [0x4ce5d0]

 72: (_pyglib_handler_marshal()+0x39) [0x7f348a002759]

 73: (()+0x4aab3) [0x7f348a24fab3]

 74: (g_main_context_dispatch()+0x15a) [0x7f348a24f04a]

 75: (()+0x4a3f0) [0x7f348a24f3f0]

 76: (g_main_loop_run()+0xc2) [0x7f348a24f712]

 77: (()+0xa534) [0x7f348a520534]

 78: (PyEval_EvalFrameEx()+0x5780) [0x4c9780]

 79: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 80: ../env/bin/python() [0x4de8b8]

 81: (PyObject_Call()+0x43) [0x4b0cb3]

 82: (PyEval_EvalFrameEx()+0x2ad1) [0x4c6ad1]

 83: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 84: ../env/bin/python() [0x4de8b8]

 85: (PyObject_Call()+0x43) [0x4b0cb3]

 86: (PyEval_EvalFrameEx()+0x2ad1) [0x4c6ad1]

 87: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 88: (PyEval_EvalFrameEx()+0x68d1) [0x4ca8d1]

 89: (PyEval_EvalFrameEx()+0x5d8f) [0x4c9d8f]

 90: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 91: (PyEval_EvalFrameEx()+0x6099) [0x4ca099]

 92: (PyEval_EvalCodeEx()+0x255) [0x4c2765]

 93: (PyEval_EvalCode()+0x19) [0x4c2509]

 94: ../env/bin/python() [0x4f1def]

 95: (PyRun_FileExFlags()+0x82) [0x4ec652]

 96: (PyRun_SimpleFileExFlags()+0x191) [0x4eae31]

 97: (Py_Main()+0x68a) [0x49e14a]

 98: (__libc_start_main()+0xf0) [0x7f34b4b58830]
 99: (_start()+0x29) [0x49d9d9]

 NOTE: a copy of the executable, or `objdump -rdS <executable>` is needed to interpret this.

[1]    17661 abort (core dumped)

History

#1 - 07/13/2017 04:42 PM - Greg Farnum

I see Python, was this python-rados? A CLI? Something else?

#2 - 07/17/2017 09:47 AM - Sebastian Wagner

Greg Farnum wrote:

I see Python, was this python-rados? A CLI? Something else?

 

It was openATTIC 3.3.0 which failed to list RBDs.

#3 - 07/19/2017 03:21 PM - Josh Durgin

Are you reusing a Rados.rados object? if so, that won't work

#4 - 07/19/2017 03:56 PM - Sebastian Wagner

Hi Josh,

Josh Durgin wrote:

Are you reusing a Rados.rados object?

 

thanks for the hint! I'll have a look at this tomorrow.

#5 - 07/20/2017 02:56 PM - Sebastian Wagner

This seems to be vanished with the latest git pull. Let's close this.

#6 - 07/21/2017 07:43 AM - Greg Farnum

- Status changed from New to Closed
